print("Flat Engine Reset Level Loaded")

clear();
resetGhosts();
setGameMode(4);

setBackGround("title_sketch.jpg", 112, 112, 0, 0);
setCameraPos(0.0, 0.0);
setCameraHeight(100);

--misc Mobs
--texture, size X, size Y, position X, position Y, mass, elastic, friction, round 
trackMob = addMob  (map_Blank,     6,      6,      0,     0,      5,      0.79,   0.1,    true);
setCameraTrackMob(trackMob);

stagesPlayed = 0;
playerCar = car_beetle;
playerWeapon1 = gun_doublebarrel;
playerWeapon2 = -1;

--setPlayerName("MMMTest");
setPlayerCash(180);
setMapPos(-58, 222.4, 2.75);
playerHealth = 1.0;

spawn1_X = 0;
spawn1_Y = 0;
spawn2_X = 0;
spawn2_Y = 0;
spawn3_X = 0;
spawn3_Y = 0;
spawn4_X = 0;
spawn4_Y = 0;

settingselect = 0;
setStoreRate(0.66);

setDustElement(vel_dust);
setSkidElement(vel_skid);
setDamageElement(vel_damage);
setFlashElement(vel_damflash);
newgameFlag = true;

gofile("menu/menu_start.lua");


